/*	Author:		Adam Brousseau
	Supervisor: Dr. Ryan Leduc
*/

#pragma once

#include <QDialog>
#include "CommonDefinitions.h"
#include "ui_HelpPrint.h"

namespace DESpot
{
	class HelpPrint : public QDialog, private Ui::HelpPrint
	{
		Q_OBJECT	
		
		public:
			HelpPrint(QWidget* parent = null);
			~HelpPrint(void);

		public:
			bool printAll();
			bool printImages();
			bool compactForm();
			
		private slots:
			void hideCheckbox();
	};

} //end of namespace DESpot
